
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de grupos</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'perfiles:users_groups_new' %}">
                            <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;">
                              <i class="fas fa-plus-circle"></i><span> Agregar grupo</span>
                            </button></a>
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay grupos registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <th>ID</th>                                
                                <th>NOMBRE</th>                                                             
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}                                  
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <td>{{ item.id }}</td>                                      
                                      <td>{{ item.name }}</td>
                                                                                                                                            
                                      <td>                                                                                                                         
                                        <a href="{% url 'app_perfiles:users_groups_modify' item.id %}">
                                          <button class="btn btn-primary bg-warning btn-outline-light btn-sm" >
                                            <i class="fa fa-edit"></i> <span style="color: white;"> Editar</span>
                                          </button>
                                        </a>
                                                                                                                                                                 
                                        <button type="button" class="btn btn-primary bg-danger btn-outline-light btn-sm"
                                          onclick='return abrir_borrar("{{ item.name }}", "{% url 'perfiles:user_group_delete' item.id %}")'>
                                          <i class="fa fa-trash-alt"></i> <span style="color: white;"> Borrar</span>
                                        </button>
                                                                                
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

  

    
    